Subject: FVWM: wishlist

From: <[email-masked]>
Date: Wed, 6 Mar 1996 13:02:01 +0100

Hi!

I really like FVWM2, but there are some features, that exist in olvwm, that I
would like to see in fvwm2 too.

1.  A zooming effect, every time a window is iconified for de-iconified (i.e.
in Mac Finder or olwm)
2. What I like about the olvwm's virtual desktop is that you can drag a window
from the desktop and drop it over the virtual desktop manager, thus moving it
to another desktop

Are there any plans/patches etc or do I only have to RTFM.

Markus

-- 
_______________________________________________________________
Markus Wasserschaff           Tel.: +49-2241-14-2377
GMD IMK.MAT                   Fax.: +49-2241-14-2449
Schloss Birlinghoven          Email: [email-masked]
53754 St.Augustin, Germany    Web..: http://mats.gmd.de/markusw
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Wed, 6 Mar 1996 09:24:41 -0500

>>>>> "Markus" == Markus Wasserschaff <[email-masked]> writes:

Markus> Hi!

Howdy.

Markus> I really like FVWM2,

Glad to hear it.

Markus> but there are some features, that exist in olvwm, that I would
Markus> like to see in fvwm2 too.

Of course.

Markus> 1.  A zooming effect, every time a window is iconified for
Markus> de-iconified (i.e.  in Mac Finder or olwm)

This will most likely never happen.  Adding too many 'cute' effects
like this will only serve to bloat and slow down fvwm, which is
something that I am trying really hard to avoid.

And I don't know if this would be possible via a module (I think not),
which would be my typical response after I make a statement like
that...

Markus> 2. What I like about the olvwm's virtual desktop is that you
Markus> can drag a window from the desktop and drop it over the
Markus> virtual desktop manager, thus moving it to another desktop

I don't think that this will be possible in the current setup.  The
pager in 2.xx is no longer built into fvwm, but rather an external
module.  This makes interaction of the type you would like rather more
difficult, I believe.  Although slight changes (like the patch that
Henrique sent to show windows moving in the pager in real time) might
make it easier.  We'll have to see.  I'll add it to the TO-DO list
with a question mark to remind me to investigate it when I get a
chance.

Chuck

*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

IBM Internal email:                        "Go back to sleep, Chuck.  You're
  [email-masked],              just havin' a nightmare--of course,
  HINESC at FISHKILL, HINESC at FSHVMFK1    we are still in Hell." Gary Larson
*******************************************************************************
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Eric F. Kahler ([email-masked])" <[email-masked]>
Date: Wed, 06 Mar 1996 09:40:38 -0500

> from the desktop and drop it over the virtual desktop manager, thus moving it

Something you might want to look into is TkGoodstuff.  While you can't drag a 
window onto TkGoodstuff's Pager Client, you can drag the window's icon (with 
Mouse-Button-2) from TkGoodstuff's WindowList to the desired desktop page on 
TkGoodstuff's Pager Client. 

I have a couple of screenshots of TkGoodstuff which you can view from 
http://mars.superlink.net/ekahler/fvwm.html

Luck++;
Eric.

-- 
From:  Eric Kahler.
[email-masked] 
http://mars.superlink.net/ekahler/index.html

---

From: Mark Borges <[email-masked]>
Date: 06 Mar 1996 15:49:48 -0700

>> On Wed, 6 Mar 1996 13:02:01 +0100,
>> Markus Wasserschaff(MW) wrote:

MW> 2. What I like about the olvwm's virtual desktop is that you can
MW>    drag a window from the desktop and drop it over the virtual
MW>    desktop manager, thus moving it to another desktop

I've seen this request several times, and I must be missing
something.

You can move the windows around *within* the pager to different
desks, thus moving it to another desktop. You can drag windows out of
the pager onto the current desktop (i.e., the inverse of what you
describe). What extra functionality does the olvwm behavior get you?
Can you give an example?

  -mb-

---

From: <[email-masked]>
Date: Thu, 7 Mar 1996 09:36:12 +0100

>MB >  I've seen this request several times, and I must be missing
MB > > something.
MB > >
MB > > You can move the windows around *within* the pager to different
MB > > desks, thus moving it to another desktop. You can drag windows out of
MB > > the pager onto the current desktop (i.e., the inverse of what you
MB > > describe). What extra functionality does the olvwm behavior get you?
MB > > Can you give an example?
No, you won't get *extra* functionality. It's just easier. What do you think:
If you want to move a window, is it easier to grab the real window and drop it
over the Pager onto another desktop, or is more convenient to pick up the
*small* representation (7x7 pixel) in the GoodStuff and drag this. If you say,
the second option is better, then you won't get extra functionality from this
olvwm-like behaviour.
It's the same with the zooming effect. It's just a little feature that gives
you a hint, where your icon went.

M.W.

---

From: Richard Kaszeta <[email-masked]>
Date: Thu, 7 Mar 1996 08:20:55 -0600

>describe). What extra functionality does the olvwm behavior get you?

Umm, I used to use it to clean up my current screen.  For example,
take *this* window (*this* being the one under the pointer) and drag it
to desk 3.

The extra functionality is that when I am moving my windows from the
current screen to another, I have a *big* target to click the mouse
on, instead of little teeny weeny windows in the pager.

-- 
Richard W Kaszeta 			Graduate Student/Sysadmin
[email-masked],[email-masked]  University of MN, ME Dept
http://www.me.umn.edu/0h/home/kaszeta/www.html
--
Tabasco. Don't leave ~ without it.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: 4-String <[email-masked]>
Date: Thu, 7 Mar 1996 17:47:14 -0400 (AST)

> you a hint, where your icon went.

If you're having trouble with finding your icons then try the 
FvwmIconMan. It work likes the window list in tvtwm and is IMHO the 
solution to those pesky disapearing icons. :)

+-----------------------------------------+---------------------------+
| Shane [4-String] Spinney                | "Life is what happens to  |
| BSc(CS) at University of New Brunswick  |  you while you're busy    |
| Fredericton, NB, Canada                 |  making other plans."     |
| [email-masked] , [email-masked]         |             - John Lennon |
+-----------------------------------------+---------------------------+